Bug 1535499 (CVE-2018-2622) - CVE-2018-2622 mysql: Server: DDL unspecified vulnerability (CPU Jan 2018)
Summary: CVE-2018-2622 mysql: Server: DDL unspecified vulnerability (CPU Jan 2018)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-2622
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1533831 1533832 1533833 1533834 1535519 1535520 1559058 1559060 1559063 1559064 1584668 1701266
Blocks: 1535524
TreeView+ depends on / blocked
 
Reported: 2018-01-17 14:13 UTC by Adam Mariš
Modified: 2019-09-29 14:30 UTC (History)
23 users (show)

Fixed In Version: mysql 5.5.59, mysql 5.6.39, mysql 5.7.21, mariadb 5.5.59, mariadb 10.2.13, mariadb 10.1.31, mariadb 10.0.34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-21 21:09:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0586 None None None 2018-03-26 10:18:31 UTC
Red Hat Product Errata RHSA-2018:0587 None None None 2018-03-26 10:06:26 UTC
Red Hat Product Errata RHSA-2018:2439 None None None 2018-08-16 14:15:56 UTC
Red Hat Product Errata RHSA-2019:1258 None None None 2019-05-21 19:54:36 UTC

Description Adam Mariš 2018-01-17 14:13:51 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: DDL). Supported versions that are affected are 5.5.58 and prior, 5.6.38 and prior and 5.7.20 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html

Comment 1 Adam Mariš 2018-01-17 14:46:49 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1535520]


Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1535519]

Comment 2 Joshua Padman 2018-02-06 20:52:31 UTC
Red Hat OpenStack 6 will be End of Life on the 17th of February. Marking flaws as wontfix.

Comment 6 errata-xmlrpc 2018-03-26 10:06:14 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0587 https://access.redhat.com/errata/RHSA-2018:0587

Comment 7 errata-xmlrpc 2018-03-26 10:18:20 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0586 https://access.redhat.com/errata/RHSA-2018:0586

Comment 8 errata-xmlrpc 2018-08-16 14:15:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2439 https://access.redhat.com/errata/RHSA-2018:2439

Comment 9 errata-xmlrpc 2019-05-21 19:54:35 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1258 https://access.redhat.com/errata/RHSA-2019:1258


Note You need to log in before you can comment on or make changes to this bug.